Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Variables
lsterr.h File Reference
`#include "errcode.h"`

Go to the source code of this file.

## Macros

#define | LSTERR_H

## Variables

const ERRCODE | DONT_CONSTRUCT_LIST_BY_COPY = "Can't create a list by assignment"
const ERRCODE | DONT_ASSIGN_LISTS = "Can't assign to lists"
const ERRCODE | SERIALISE_LINKS = "Attempted to (de)serialise a link element"
const ERRCODE | NO_LIST = "Iterator not set to a list"
const ERRCODE | NULL_OBJECT = "List found this = NULL!"
const ERRCODE | NULL_DATA = "List would have returned a NULL data pointer"
const ERRCODE | NULL_CURRENT = "List current position is NULL"
const ERRCODE | NULL_NEXT = "Next element on the list is NULL"
const ERRCODE | NULL_PREV = "Previous element on the list is NULL"
const ERRCODE | EMPTY_LIST = "List is empty"
const ERRCODE | BAD_PARAMETER = "List parameter error"
const ERRCODE | STILL_LINKED = "Attemting to add an element with non NULL links, to a list"

## Macro Definition Documentation

#define LSTERR_H

Definition at line 23 of file lsterr.h.

## Variable Documentation

const ERRCODE BAD_PARAMETER = "List parameter error"

Definition at line 39 of file lsterr.h.

const ERRCODE DONT_ASSIGN_LISTS = "Can't assign to lists"

Definition at line 27 of file lsterr.h.

const ERRCODE DONT_CONSTRUCT_LIST_BY_COPY = "Can't create a list by assignment"

Definition at line 25 of file lsterr.h.

const ERRCODE EMPTY_LIST = "List is empty"

Definition at line 38 of file lsterr.h.

const ERRCODE NO_LIST = "Iterator not set to a list"

Definition at line 32 of file lsterr.h.

const ERRCODE NULL_CURRENT = "List current position is NULL"

Definition at line 35 of file lsterr.h.

const ERRCODE NULL_DATA = "List would have returned a NULL data pointer"

Definition at line 34 of file lsterr.h.

const ERRCODE NULL_NEXT = "Next element on the list is NULL"

Definition at line 36 of file lsterr.h.

const ERRCODE NULL_OBJECT = "List found this = NULL!"

Definition at line 33 of file lsterr.h.

const ERRCODE NULL_PREV = "Previous element on the list is NULL"

Definition at line 37 of file lsterr.h.

const ERRCODE SERIALISE_LINKS = "Attempted to (de)serialise a link element"

Definition at line 28 of file lsterr.h.

const ERRCODE STILL_LINKED = "Attemting to add an element with non NULL links, to a list"

Definition at line 40 of file lsterr.h.